apply plugin: 'com.android.application'

apply plugin: 'kotlin-android'

apply plugin: 'kotlin-parcelize'

//apply plugin: 'kotlin-android-extensions'

android {
    compileSdkVersion 30
    defaultConfig {
        applicationId "com.adlerosn.brasilfurfest"
        minSdkVersion 21
        targetSdkVersion 30
        versionCode 65
        versionName "2021.9.6.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"

    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    buildFeatures {
        viewBinding true
    }
}

dependencies {
    implementation fileTree(dir: '../libs', include: ['*.jar', '*.aar'])
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test.ext:junit:1.1.3'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.4.0'
    implementation 'org.jetbrains.kotlin:kotlin-stdlib-jdk8:1.5.30'
    implementation 'org.jetbrains.kotlin:kotlin-reflect:1.5.30'
    implementation 'androidx.vectordrawable:vectordrawable-animated:1.1.0'
    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.4.0'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'androidx.core:core-ktx:1.6.0'
    implementation 'androidx.media:media:1.4.1'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.0'
//    implementation 'org.jetbrains.anko:anko-commons:0.10.5'
    implementation 'com.google.code.gson:gson:2.8.6'
    implementation 'com.brandongogetap:stickyheaders:0.6.2'
    implementation 'com.github.chuross:expandable-layout:1.0.5'
    // implementation 'com.github.shalskar:PeekAndPop:1.1.0'
    implementation 'com.github.vihtarb:tooltip:0.2.0'
//    implementation 'com.jsibbold:zoomage:1.3.1'
//    implementation 'androidmads.library.qrgenearator:QRGenearator:1.0.4'
    implementation 'com.journeyapps:zxing-android-embedded:3.3.0'
    implementation 'com.google.zxing:core:3.3.0'
}
